Ruby-GNOME Language Bindings / News: Recent posts

Ruby-GNOME-0.34 is out

Fix compiling error of Ruby/Libart for Ruby-1.6.x.

Posted by Masao Mutoh 2003-07-07

Ruby-GNOME-0.33 is out

Fix compiling error of Ruby/Libart for Ruby-1.6.x.

Posted by Masao Mutoh 2003-07-02

Ruby-GNOME-0.32 is now available

* Fix warnings for ruby-1.8.0preview3.

Posted by Masao Mutoh 2003-06-27

Ruby-GNOME-0.31 is out!

* General
- Add Copying file to each sub libraries.
- Fix a compiling problem with ruby-1.8.x
* Ruby/GTK
- Fix problems when Gtk.main_quit called in another thread.
- Fix segfaults of Font.load.
* Ruby/Libart: Add Art::Bpath, Art::Canvas, Art::SVP, Art::Vpath.

Posted by Masao Mutoh 2003-01-19

Ruby-GNOME-0.30 is out.

This release is:
* Add Ruby/Libart module.
* Add Gnome::Canvas.
* Add Gnome.init.

Since this version, you MUST initialize Ruby/GNOME script by Gnome.init().

Posted by Masao Mutoh 2002-09-01

ruby-gnome-0.29 is out.

Ruby-GNOME 0.29 is out. This is small improvement release.

Posted by Masao Mutoh 2002-06-30

ruby-gnome 0.28 is out

The maintainer has been changed.

This release is a bug fix version of 0.27.

Posted by Masao Mutoh 2002-06-01

ruby-gnome 0.27 is out

You read it here first! Download from the usual place. There's lots of new stuff in this release, so have fun.

Posted by Neil Conway 2002-03-13

ruby-gconf 0.2 is out

I forgot to add an announcement, it's been out for a while. Check the release notes and then download away!

Posted by Neil Conway 2002-02-07

ruby-gnome 0.26 is out

Subject says it all: check the notes, download it and report problems.

Posted by Neil Conway 2001-11-16

ruby-gconf 0.1 is out

The first release of ruby-gconf has been made. This should probably be considered "alpha" -- most of the features are there, but a few things still need to be done, and it's mostly untested. Check it out and report problems!

Posted by Neil Conway 2001-10-16

old release available

For convenience, I've uploaded the previous stable release of Ruby-GNOME: 0.25. This was made by the old maintainer, not by me.

BTW, work continues on Ruby-GNOME 0.26 (and ruby-gconf) -- hopefully releases for both of these will be available soon.

Posted by Neil Conway 2001-10-08

ruby-gnome in CVS

I've been waiting for a while (~2 weeks) for SF to import the old Ruby-GNOME CVS tree; today, I gave up and just imported it myself. That means the old CVS history is lost, but the good news is that I can finally get started on improving ruby-gnome. I'm working on updating the contact/maintainer information; next, I'll start applying the back-log of patches and improving things. Hopefully, 0.26 should be out soon. If you have any patches you'd like to see committed, use the Patch Manager.

Posted by Neil Conway 2001-10-04

ruby-gconf in CVS

The alpha code for ruby-gconf is now in the Ruby-GNOME CVS repository. Anyone interested in using it is encouraged to check it out, although it's not finished yet -- a few major pieces of functionality still need to be implemented. Hopefully a polished release should be available soon.

Posted by Neil Conway 2001-10-02

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks